#include "mainwindow.h"
#include <QApplication>
#include <QDebug>
#include <QSqlDatabase>
#include <QPluginLoader>

#include "stutility.h"
int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QApplication::addLibraryPath("./plugins/sqldrivers/");
    QApplication::addLibraryPath("./platforms");

    qDebug() << QCoreApplication::libraryPaths();
    qDebug() << QSqlDatabase::drivers();

    //QPluginLoader loader;
    //loader.setFileName("/Qt/Qt5.4.1/5.4/msvc2013_64_opengl/plugins/sqldrivers/qsqlmysqld.dll");
    //qDebug() << loader.load();
    //qDebug() << loader.errorString();

    QDate currentDate = QDate::fromString(STUtility::getValideDate("Feb 18, 2016"),"MM dd, yyyy");
    qDebug() << STUtility::getValideDate("Feb 18, 2016");
    qDebug() << currentDate.toString();

    MainWindow w;
    w.show();

    return a.exec();
}
